Encode::Detect(3)

NAME
Encode::Detect - An Encode::Encoding subclass that detects the encoding of data

SYNOPSIS
  use Encode;
  require Encode::Detect;
  my $utf8 = decode("Detect", $data);

DESCRIPTION
This Perl module is an Encode::Encoding subclass that uses Encode::Detect::Detector to determine the charset of the input data and then decodes it using the encoder of the detected charset.

It is similar to Encode::Guess, but does not require the configuration of a set of expected encodings. Like Encode::Guess, it only supports decoding--it cannot encode.

SEE ALSO
Encode, Encode::Encoding, Encode::Detect::Detector

AUTHOR
John Gardiner Myers <jgmyers@proofpoint.com>

SUPPORT
For help and thank you notes, e-mail the author directly. To report a bug, submit a patch, or add to the wishlist please visit the CPAN bug manager at: http://rt.cpan.org